Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Renesas RL78 softmmu for QEMU
C C++ Python Haxe Assembly Shell Other

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
hw
linux-user
pc-bios
target-arm
target-i386
target-ppc
target-sparc
tests
COPYING
COPYING.LIB
Changelog
Makefile
Makefile.target
README
README.distrib
TODO
VERSION
alpha-dis.c
alpha.ld
arm-dis.c
arm.ld
block.c
bswap.h
configure
cpu-all.h
cpu-defs.h
cpu-exec.c
dis-asm.h
disas.c
disas.h
dyngen-exec.h
dyngen.c
dyngen.h
elf.h
exec-all.h
exec.c
gdbstub.c
i386-dis.c
i386-vl.ld
i386.ld
ia64-syscall.S
m68k.ld
oss.c
ppc-dis.c
ppc.ld
qemu-binfmt-conf.sh
qemu-doc.texi
qemu-mkcow.c
s390.ld
sdl.c
softmmu_header.h
softmmu_template.h
sparc-dis.c
sparc.ld
texi2pod.pl
thunk.c
thunk.h
translate-all.c
vl.c
vl.h

README

The QEMU x86 emulator
---------------------

INSTALLATION
------------

Type 

    ./configure
    make

to build qemu, qemu-CPU and libqemu.a (CPU is the name of the various
supported target CPUs).

Type

    make install

to install QEMU in /usr/local

Tested tool versions
--------------------

In order to compile QEMU succesfully, it is very important that you
have the right tools. The most important one is gcc. I cannot guaranty
that QEMU works if you do not use a tested gcc version. Look at
'configure' and 'Makefile' if you want to make a different gcc
version work.

host      gcc      binutils      glibc    linux       distribution
----------------------------------------------------------------------
x86       2.95.2   2.13.2        2.1.3    2.4.18           
          3.2      2.13.2        2.1.3    2.4.18
          2.96     2.11.93.0.2   2.2.5    2.4.18      Red Hat 7.3
          3.2.2    2.13.90.0.18  2.3.2    2.4.20      Red Hat 9

PowerPC   3.3 [4]  2.13.90.0.18  2.3.1    2.4.20briq
          3.2

Alpha     3.3 [1]  2.14.90.0.4   2.2.5    2.2.20 [2]  Debian 3.0

Sparc32   2.95.4   2.12.90.0.1   2.2.5    2.4.18      Debian 3.0

ARM       2.95.4   2.12.90.0.1   2.2.5    2.4.9 [3]   Debian 3.0

[1] On Alpha, QEMU needs the gcc 'visibility' attribute only available
    for gcc version >= 3.3.
[2] Linux >= 2.4.20 is necessary for precise exception support
    (untested).
[3] 2.4.9-ac10-rmk2-np1-cerf2

[4] gcc 2.95.x generates invalid code when using too many register
variables. You must use gcc 3.x on PowerPC.

Documentation
-------------

Read the documentation in qemu-doc.html.


Fabrice Bellard.
Something went wrong with that request. Please try again.